#include <stdio.h>

int main ()
{
  
int n,i,j;

  scanf ("%d", &n);

  if ( n<=0)
    printf ("-1\n");
  
  for ( i=0; i<n; i++ )
  {
    for ( j=1; j<=i; j++ )
     printf (" ");
    for ( j=2; j<=n-i+1; j++ )
      printf ("*-");
    
    printf ("\n");
    
  }
  
  
  
  return 0;
}